Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224561 - Error in pre uninstall script
Summary: Error in pre uninstall script
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-bluetooth
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-26 14:35 UTC by Phil Knirsch
Modified: 2015-03-05 01:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-02 21:49:20 UTC


Attachments (Terms of Use)

Description Phil Knirsch 2007-01-26 14:35:27 UTC
During an automated install/deinstall check the following error has happened:

ERROR: Output running pre uninstall script for package
gnome-bluetooth-0:0.8.0-2.fc7.i386
gconfd-2: no process killed

Changing the pre uninstall script to redirect the output of the killall command
will fix this:

preuninstall scriptlet (using /bin/sh):
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      /etc/gconf/schemas/gnome-obex-server.schemas > /dev/null || :
    killall -HUP gconfd-2 > /dev/null 2>&1 || :
fi

Comment 1 Matthias Clasen 2007-04-02 21:49:20 UTC
I've removed the no longer needed gconfd killing from the scripts now.


Note You need to log in before you can comment on or make changes to this bug.